curl --request GET \
--url https://api.fireworks.ai/v1/accounts \
--header 'Authorization: Bearer <token>'{
"accounts": [
{
"email": "<string>",
"name": "<string>",
"displayName": "<string>",
"createTime": "2023-11-07T05:31:56Z",
"state": "STATE_UNSPECIFIED",
"status": {
"code": "OK",
"message": "<string>"
},
"suspendState": "UNSUSPENDED",
"updateTime": "2023-11-07T05:31:56Z"
}
],
"nextPageToken": "<string>",
"totalSize": 123
}curl --request GET \
--url https://api.fireworks.ai/v1/accounts \
--header 'Authorization: Bearer <token>'{
"accounts": [
{
"email": "<string>",
"name": "<string>",
"displayName": "<string>",
"createTime": "2023-11-07T05:31:56Z",
"state": "STATE_UNSPECIFIED",
"status": {
"code": "OK",
"message": "<string>"
},
"suspendState": "UNSUSPENDED",
"updateTime": "2023-11-07T05:31:56Z"
}
],
"nextPageToken": "<string>",
"totalSize": 123
}Bearer authentication using your Fireworks API key. Format: Bearer <API_KEY>
The maximum number of accounts to return. The maximum page_size is 200, values above 200 will be coerced to 200. If unspecified, the default is 50.
A page token, received from a previous ListAccounts call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to ListAccounts must match the call that provided the page token.
Only accounts satisfying the provided filter (if specified) will be returned. See https://google.aip.dev/160 for the filter grammar.
Not supported.
Accounts will be returned ordered by name.
The fields to be returned in the response. If empty or "*", all fields will be returned.
A successful response.
Show child attributes
For developer accounts, this is the email of the developer user and is immutable. For ENTERPRISE and BUSINESS accounts, this is mutable and it is the email that will recieve the invoice for the account if automated billing is used.
Human-readable display name of the account. e.g. "My Account" Must be fewer than 64 characters long.
The creation time of the account.
The state of the account.
STATE_UNSPECIFIED, CREATING, READY, UPDATING, DELETING Contains information about the account status.
Show child attributes
The status code.
OK, CANCELLED, UNKNOWN, INVALID_ARGUMENT, DEADLINE_EXCEEDED, NOT_FOUND, ALREADY_EXISTS, PERMISSION_DENIED, UNAUTHENTICATED, RESOURCE_EXHAUSTED, FAILED_PRECONDITION, ABORTED, OUT_OF_RANGE, UNIMPLEMENTED, INTERNAL, UNAVAILABLE, DATA_LOSS A developer-facing error message in English.
UNSUSPENDED, FAILED_PAYMENTS, CREDIT_DEPLETED, MONTHLY_SPEND_LIMIT_EXCEEDED, BLOCKED_BY_ABUSE_RULE The update time for the account.
A token, which can be sent as page_token to retrieve the next page.
If this field is omitted, there are no subsequent pages.
The total number of accounts.
Was this page helpful?